Index: park_integration/AbstractFitEngine.py
===================================================================
--- park_integration/AbstractFitEngine.py	(revision 4b5bd73d4e5ac89cb7fb627fe3be68ad86de26cf)
+++ park_integration/AbstractFitEngine.py	(revision dd8ee14ebee54304d3b9476ef8045770343dc76b)
@@ -469,8 +469,6 @@
 
             if self.curr_thread != None :
-        	    try:
-        	        self.curr_thread.isquit()
-        	    except:
-        	        raise FitAbort,"stop leastsqr optimizer"    
+        	    if not self.curr_thread.isAlive():
+        	       raise FitAbort,"stop leastsqr optimizer"    
         return self.res
     
Index: park_integration/setup.py
===================================================================
--- park_integration/setup.py	(revision 8aaf534692a3438a7276a1f3e6482559d4ddaedc)
+++ park_integration/setup.py	(revision dd8ee14ebee54304d3b9476ef8045770343dc76b)
@@ -6,5 +6,7 @@
 from distutils.core import setup, Extension
 
-
+import sys
+if len(sys.argv) == 1:
+    sys.argv.append('install')
 setup(
     name="sans.fit",
Index: park_integration/test/test_fit_line.py
===================================================================
--- park_integration/test/test_fit_line.py	(revision fd6b7899a0c95c8d50c6e7d53b6028f1be87632f)
+++ park_integration/test/test_fit_line.py	(revision dd8ee14ebee54304d3b9476ef8045770343dc76b)
@@ -35,5 +35,5 @@
         pars1= ['A','B']
         fitter.set_model(model,1,pars1)
-        fitter.select_problem_for_fit(Uid=1,value=1)
+        fitter.select_problem_for_fit(id=1,value=1)
         result1 = fitter.fit()
         self.assert_(result1)
@@ -47,5 +47,5 @@
         fitter.set_data(data,1)
         fitter.set_model(model,1,pars1)
-        fitter.select_problem_for_fit(Uid=1,value=1)
+        fitter.select_problem_for_fit(id=1,value=1)
         result2 = fitter.fit()
         
@@ -88,8 +88,8 @@
         fitter.set_data(data1,1)
         fitter.set_model(model1,1,pars1)
-        fitter.select_problem_for_fit(Uid=1,value=0)
+        fitter.select_problem_for_fit(id=1,value=0)
         fitter.set_data(data2,2)
         fitter.set_model(model2,2,pars1)
-        fitter.select_problem_for_fit(Uid=2,value=0)
+        fitter.select_problem_for_fit(id=2,value=0)
         
         try: result1 = fitter.fit()
@@ -97,6 +97,6 @@
            assert str(msg)=="No Assembly scheduled for Scipy fitting."
         else: raise AssertError,"No error raised for scipy fitting with no model"
-        fitter.select_problem_for_fit(Uid=1,value=1)
-        fitter.select_problem_for_fit(Uid=2,value=1)
+        fitter.select_problem_for_fit(id=1,value=1)
+        fitter.select_problem_for_fit(id=2,value=1)
         try: result1 = fitter.fit()
         except RuntimeError,msg:
@@ -110,6 +110,6 @@
         fitter.set_data(data2,2)
         fitter.set_model(model2,2,pars1)
-        fitter.select_problem_for_fit(Uid=1,value=1)
-        fitter.select_problem_for_fit(Uid=2,value=1)
+        fitter.select_problem_for_fit(id=1,value=1)
+        fitter.select_problem_for_fit(id=2,value=1)
         result2 = fitter.fit()
         
@@ -157,6 +157,6 @@
         fitter.set_data(data2,2,smearer=None)
         fitter.set_model(model2,2,pars2)
-        fitter.select_problem_for_fit(Uid=1,value=1)
-        fitter.select_problem_for_fit(Uid=2,value=1)
+        fitter.select_problem_for_fit(id=1,value=1)
+        fitter.select_problem_for_fit(id=2,value=1)
         
         result2 = fitter.fit()
@@ -192,5 +192,5 @@
         fitter.set_model(model,1,pars1)
         fitter.set_data(data2,1,qmin=1,qmax=10)
-        fitter.select_problem_for_fit(Uid=1,value=1)
+        fitter.select_problem_for_fit(id=1,value=1)
         
         result1 = fitter.fit()
@@ -206,5 +206,5 @@
         fitter.set_model(model,1,pars1)
         fitter.set_data(data2,1,qmin=1,qmax=10)
-        fitter.select_problem_for_fit(Uid=1,value=1)
+        fitter.select_problem_for_fit(id=1,value=1)
         result2 = fitter.fit()
         
